﻿<#
    Managing Azure Blob Storage Content
    © 2020
    by Daniel Seara
#>

# Change for your own values these variables
$StorageAccountName="<Your_StorageAccountName_Here>"
$ResourceGroup="<Your_ResourceGroup_Here>"
$ContainerName="<Your_ContainerName_Here>"
$AccountKey='<Your_AccountKey_Here>'
$SourceFileName='<Your_SourceFileName_Here>'
$DestinationFileName='<Your_DestinationFileName_Here>'
$BlobName="<Your_BlobName_Here>"
# Using PowerShell Azure module
Connect-AzAccount
$Account=Get-AzStorageAccount -Name $StorageAccountName -ResourceGroupName $ResourceGroup
$Context=$account.Context
Set-AzStorageBlobContent -File $SourceFileName  `
  -Container cont-1 `
  -Blob $BlobName `
  -Context $Context 

Get-AzStorageBlob -Container $ContainerName `
  -Context $Context |select Name

Get-AzStorageBlobContent -Blob $BlobName `
  -Container $ContainerName  `
  -Destination $DestinationFileName `
  -Context $Context 

# Using Azure CLI 
az storage blob list `
    --account-name $StorageAccountName `
    --container-name $ContainerName --output table `
    --account-key $AccountKey