﻿<# 
    NOTE: remove the #» to execute the commands 
    to check and /or install the modules
#>
#	Check you have the Azure Snap-in installed in your environment
        #»Get-InstalledModule -Name Az  
#	If there is no module for az, install it
        #Install-Module -Name Az -AllowClobber -Force
#Load the Azure Snap-in
Import-Module -Name Az 
#Connect to your Azure Account
Connect-AzAccount
#Define the Variables
$resourceGroupName= "dp-900"
$accountName = "dp900sablob"
$accountKind="StorageV2"
$skuName="Standard_GRS"
$containerName="companyblobs"
#Get the Resource Group information
$ResourceGroup=Get-AzResourceGroup -Name $resourceGroupName
#Obtain the default location for the Resource Group
$location=$ResourceGroup.Location
#Create the Storage Account
$storageAccount = New-AzStorageAccount `
                    -ResourceGroupName $resourceGroupName `
                    -AccountName $accountName `
                    -Kind $accountKind `
                    -SkuName $skuName `
                    -Location $location
#Create the Container
New-AzStorageContainer `
    -Name $containerName `
    -Context $storageAccount.Context
    