# Databricks notebook source
# MAGIC %md
# MAGIC ## DBFS mount
# MAGIC 
# MAGIC You can mount an external storage to the Databricks File System.
# MAGIC Mounts are available to all users connected to the cluster

# COMMAND ----------

try:
  dbutils.fs.unmount("/mnt/dp900sablob")
finally:
  dbutils.fs.mount(
    source = "wasbs://<your_blob_container_name_here>@<your_storage_account_name_here>.blob.core.windows.net/",
    mount_point = "/mnt/dp900sablob",
    extra_configs = {"fs.azure.account.key.<your_storage_account_name_here>.blob.core.windows.net":
  "<your_storage_account_key_here>"})

# COMMAND ----------

# MAGIC %md
# MAGIC You can explore mount content by using `%fs ls <mount name>` <br>

# COMMAND ----------

# MAGIC %fs ls /mnt/dp900sablob
