CREATE DATABASE IF NOT EXISTS dp900;

DROP TABLE IF EXISTS dp900.SalesLT_ProductModel;
CREATE EXTERNAL TABLE dp900.SalesLT_ProductModel
(
	ProductModelID INT,
	Name STRING,
	rowguid STRING,
	ModifiedDate STRING
) 
ROW FORMAT DELIMITED
FIELDS TERMINATED BY ','
STORED AS TEXTFILE
LOCATION 'wasbs://<your_blob_container_name_here>@<your_storage_account_name_here>.blob.core.windows.net/extract/azuresql/SalesLT_ProductModel' 
TBLPROPERTIES("skip.header.line.count"="1")
;

DROP TABLE IF EXISTS dp900.SalesLT_ProductCategory;
CREATE EXTERNAL TABLE dp900.SalesLT_ProductCategory
(
	ProductCategoryID INT,
	ParentProductCategoryID INT,
	Name STRING,
	rowguid STRING,
	ModifiedDate STRING
) 
ROW FORMAT DELIMITED
FIELDS TERMINATED BY ','
STORED AS TEXTFILE
LOCATION 'wasbs://<your_blob_container_name_here>@<your_storage_account_name_here>.blob.core.windows.net/extract/azuresql/SalesLT_ProductCategory' 
TBLPROPERTIES("skip.header.line.count"="1")
;

DROP TABLE IF EXISTS dp900.SalesLT_Product;
CREATE EXTERNAL TABLE dp900.SalesLT_Product
(
	ProductID INT,
	Name STRING,
	ProductNumber STRING,
	Color STRING,
	StandardCost STRING,
	ListPrice STRING,
	Size STRING,
	Weight STRING,
	ProductCategoryID INT,
	ProductModelID INT,
	SellStartDate STRING,
	SellEndDate STRING,
	DiscontinuedDate STRING,
	ThumbNailPhoto STRING,
	ThumbnailPhotoFileName STRING,
	rowguid STRING,
	ModifiedDate STRING
) 
ROW FORMAT DELIMITED
FIELDS TERMINATED BY ','
STORED AS TEXTFILE
LOCATION 'wasbs://<your_blob_container_name_here>@<your_storage_account_name_here>.blob.core.windows.net/extract/azuresql/SalesLT_Product' 
TBLPROPERTIES("skip.header.line.count"="1")
;

DROP TABLE IF EXISTS dp900.products_info;
CREATE EXTERNAL TABLE dp900.products_info
(
	ProductID INT,
	Name STRING,
	ProductNumber STRING,
	Color STRING,
	StandardCost STRING,
	ListPrice STRING,
	Size STRING,
	Weight STRING,
    ProductModelID INT,
    ProductModelName STRING,
	ProductCategoryID INT,
  	ProductCategory STRING,
    ProductSubcategoryID INT,
  	ProductSubcategoryName STRING
) 
ROW FORMAT DELIMITED
FIELDS TERMINATED BY ','
STORED AS TEXTFILE
LOCATION 'wasbs://<your_blob_container_name_here>@<your_storage_account_name_here>.blob.core.windows.net/transform/hdi/products_info' 
TBLPROPERTIES("skip.header.line.count"="1")
;