USE dp900;

INSERT OVERWRITE TABLE products_info
SELECT 
	p.ProductID,
	p.Name,
	p.ProductNumber,
	p.Color,
	p.StandardCost,
	p.ListPrice,
	p.Size,
	p.Weight,
	pm.ProductModelID,	
	pm.Name AS ProductModelName,
	psc.ProductCategoryID AS ProductSubcategoryID,	
	psc.Name AS ProductSubcategoryName,
	pc.ProductCategoryID,
	pc.Name AS ProductCategoryName
FROM SalesLT_Product AS p
JOIN SalesLT_ProductModel AS pm ON p.ProductModelID = pm.ProductModelID
JOIN SalesLT_ProductCategory AS psc ON p.ProductCategoryID = psc.ProductCategoryID
JOIN SalesLT_ProductCategory AS pc ON psc.ParentProductCategoryID = pc.ProductCategoryID
;
