-- 1. Create a Master Key
CREATE MASTER KEY ENCRYPTION BY PASSWORD = '<strong_password_here>';

-- 2. Create a database scoped credential  
CREATE DATABASE SCOPED CREDENTIAL dp900sablobCredential
WITH 
	IDENTITY = 'user', 
	SECRET = '<your_storage_account_key_here>';

-- 3. Create an external data source
CREATE EXTERNAL DATA SOURCE dp900sablob WITH (  
	TYPE = HADOOP,
    LOCATION ='wasbs://<your_blob_container_name_here>@<your_storage_account_name_here>.blob.core.windows.net',  
    CREDENTIAL = dp900sablobCredential  
); 

-- 4. Create an external file format
CREATE EXTERNAL FILE FORMAT CsvFileFormat WITH (  
    FORMAT_TYPE = DELIMITEDTEXT,
    FORMAT_OPTIONS (FIELD_TERMINATOR = ',', STRING_DELIMITER = '0x22', FIRST_ROW = 2, USE_TYPE_DEFAULT = TRUE)
);















