-- Create the external tables
CREATE EXTERNAL TABLE dbo.SalesLT_ProductModel (  
	ProductModelID INT,
	[Name] NVARCHAR(255),
	rowguid NVARCHAR(255),
	ModifiedDate NVARCHAR(255) 
)  
WITH (
	LOCATION = '/extract/azuresql/SalesLT_ProductModel/',
    DATA_SOURCE = dp900sablob,  
    FILE_FORMAT = CsvFileFormat  
);  

CREATE EXTERNAL TABLE dbo.SalesLT_ProductCategory (  
	ProductCategoryID INT,
	ParentProductCategoryID INT,
	[Name] NVARCHAR(255),
	rowguid NVARCHAR(255),
	ModifiedDate NVARCHAR(255) 
)  
WITH (
	LOCATION = '/extract/azuresql/SalesLT_ProductCategory/',
    DATA_SOURCE = dp900sablob,  
    FILE_FORMAT = CsvFileFormat  
);  

CREATE EXTERNAL TABLE dbo.SalesLT_Product (  
	ProductID INT,
	[Name] NVARCHAR(255),
	ProductNumber NVARCHAR(255),
	Color NVARCHAR(255),
	StandardCost NVARCHAR(255),
	ListPrice NVARCHAR(255),
	Size NVARCHAR(255),
	[Weight] NVARCHAR(255),
	ProductCategoryID INT,
	ProductModelID INT,
	SellStartDate NVARCHAR(255),
	SellEndDate NVARCHAR(255),
	DiscontinuedDate NVARCHAR(255),
	ThumbNailPhoto NVARCHAR(MAX),
	ThumbnailPhotoFileName NVARCHAR(4000),
	rowguid NVARCHAR(255),
	ModifiedDate NVARCHAR(255) 
)  
WITH (
	LOCATION = '/extract/azuresql/SalesLT_Product/',
    DATA_SOURCE = dp900sablob,  
    FILE_FORMAT = CsvFileFormat  
);  

CREATE STATISTICS stats_SalesLT_ProductModel_01 ON SalesLT_ProductModel(ProductModelID);
CREATE STATISTICS stats_SalesLT_ProductCategory_01 ON SalesLT_ProductCategory(ProductCategoryID);
CREATE STATISTICS stats_SalesLT_ProductCategory_02 ON SalesLT_ProductCategory(ParentProductCategoryID);
CREATE STATISTICS stats_SalesLT_Product_01 ON SalesLT_Product(ProductCategoryID);
CREATE STATISTICS stats_SalesLT_Product_02 ON SalesLT_Product(ProductModelID);












