BEGIN TRY DROP 
	EXTERNAL TABLE dbo.SalesLT_ProductsInfo; 
END TRY 
BEGIN CATCH 
END CATCH;

CREATE EXTERNAL TABLE dbo.SalesLT_ProductsInfo
WITH (
	LOCATION = '/transform/synapse/products_info/',
    DATA_SOURCE = dp900sablob,  
    FILE_FORMAT = CsvFileFormat  
)
AS 
SELECT 
	p.ProductID,
	p.Name,
	p.ProductNumber,
	p.Color,
	p.StandardCost,
	p.ListPrice,
	p.Size,
	p.Weight,
	pm.ProductModelID,	
	pm.Name AS ProductModelName,
	psc.ProductCategoryID AS ProductSubcategoryID,	
	psc.Name AS ProductSubcategoryName,
	pc.ProductCategoryID,
	pc.Name AS ProductCategoryName
FROM SalesLT_Product AS p
INNER JOIN SalesLT_ProductModel AS pm ON p.ProductModelID = pm.ProductModelID
INNER JOIN SalesLT_ProductCategory AS psc ON p.ProductCategoryID = psc.ProductCategoryID
INNER JOIN SalesLT_ProductCategory AS pc ON psc.ParentProductCategoryID = pc.ProductCategoryID
;

