﻿ Param (
            [Parameter(Mandatory=$false,HelpMessage='Name for the Deployment Process')]
            [string]$Name,
            [Parameter(Mandatory=$false,HelpMessage='Resource Group  where you want to execute the Template')]
            [string]$ResourceGroup,

            [Parameter(Mandatory=$false,HelpMessage='path and file name for the template [C.\folder\filename.josn]')]
            [string]$TemplateFile,
            [Parameter(Mandatory=$false,HelpMessage='Database Name')]
            [string]$database_name,
            [Parameter(Mandatory=$false,HelpMessage='Location')]
            [string]$database_location
        )
#Before any Azure action, you must authenticate yourself to connect with Azure Platform
Connect-AzAccount
#Get the subscriptions belonging the authenticated user
$subscriptions=Get-AzSubscription
if ($subscriptions.Count -gt 1) #If there are more than one, allow the user to select the subscription
{
     $resp=0
    while($resp -lt 1 -or $resp -gt $subscriptions.count)
    {
     $counter=1
    foreach($s in $subscriptions)
    {
        Write-Host $counter,$s.Name
        $counter+=1
    }
    $resp=Read-Host 'Please select your desired subscription'
    }
    Set-AzContext $subscriptions[$resp-1] 
}

# Define a Parameters Object, which is a hash-table in PowerShell
$paramObject = @{
                    'database_name' = $database_name
                    'database_location'  = $database_location
                }

#Execute the deployment
New-AzResourceGroupDeployment   -Name $Name `
                                -ResourceGroupName $ResourceGroup `
                                -TemplateUri  $TemplateFile `
                                -TemplateParameterObject  $paramObject 